package watki.na_zajeciach;

public class WyplacanieZCzekaniem {
	public static void main(String[] args) {
		Konto konto = new Konto(1, "Ala", 2200);
		System.out.println("Stan początkowy: " + konto.getSaldo());
		
		Thread wplacacz = new Thread(() -> {
			while(true) {
				try {
					Thread.sleep(2000);
					konto.wplata(2000);
					System.out.println("wpłaciłem, teraz jest " + konto.getSaldo());
				} catch (InterruptedException e) {
				}
			}
		});

		Thread wyplacacz = new Thread(() -> {
			while(true) {
				try {
					Thread.sleep(200);
					System.out.println("próbuję wypłacić");
					konto.wyplataCzekaj(300);
					System.out.println("wypłaciłem, teraz jest " + konto.getSaldo());
				} catch (BrakSrodkow e) {
					System.err.println("BRAK KASY");
				} catch (InterruptedException e) {
				}
			}
		});

		wplacacz.start();
		wyplacacz.start();
	}

}
